import { Response } from './../../../response';
import { EnvironmentConfiguration } from 'dino-core';
import { NextFunction, Request } from 'express';
import { BeforeHandlerMiddleware } from '../../before.handler.middleware';
export declare class SecurityMiddleware extends BeforeHandlerMiddleware {
    private readonly configuration;
    constructor(environment: EnvironmentConfiguration);
    /**
     * Definition of the function that will handle the security business logic associated with this middleware.
     *
     * @param {import('express').Request} req Express request instance
     * @param {import('express').Response} res express response instance
     * @param {Function} next the next function that will be invoked as part of the express chain
     */
    handle(req: Request, _res: Response, next: NextFunction): void;
}
